# cyborg

## accelerator arq bind

Bind accelerator to instance.

    openstack accelerator arq bind
        <accelerator_request>
        <hostname>
        <instance_uuid>
        <device_rp_uuid>
        <project_id>

accelerator_request

  UUID of the accelerator request

hostname

  Bind hostname of the accelerator request

instance_uuid

  Bind instance_uuid of the accelerator request

device_rp_uuid

  Bind device_rp_uuid of the accelerator request

project_id

  Bind current user’s project_id to the accelerator request. The field requires at least `--os-accelerator-api-version 2.1`.

This command is provided by the python-cyborgclient plugin.

## accelerator arq create

Register a new accelerator_request with the accelerator service

    openstack accelerator arq create
        [--group-id <device_profile_group_id>]
        [--image-uuid <glance_image_uuid>]
        <device_profile_name>

--group-id <device_profile_group_id>

  The group id of device_profile for the accelerator_request.

--image-uuid <glance_image_uuid>

  The uuid of image saved in glance.

device_profile_name

  The name of device_profile for accelerator_request.

This command is provided by the python-cyborgclient plugin.

## accelerator arq delete

Delete accelerator request(s).

    openstack accelerator arq delete <uuid> [<uuid> ...]

uuid

  UUID(s) of the accelerator_request(s) to delete.

This command is provided by the python-cyborgclient plugin.

## accelerator arq list

List all accelerator requests

    openstack accelerator arq list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--long]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

This command is provided by the python-cyborgclient plugin.

## accelerator arq show

Show accelerator_request details.

    openstack accelerator arq show <uuid>

uuid

  UUID of the accelerator_request.

This command is provided by the python-cyborgclient plugin.

## accelerator arq unbind

Unbind accelerator from instance.

    openstack accelerator arq unbind <accelerator_request>

accelerator_request

  UUID of the accelerator request

This command is provided by the python-cyborgclient plugin.

## accelerator deployable list

List all deployables

    openstack accelerator deployable list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--long]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

This command is provided by the python-cyborgclient plugin.

## accelerator deployable program

Reconfigure deployable.

    openstack accelerator deployable program <deployable_uuid> <image_uuid>

deployable_uuid

  Deployable UUID for reconfigure.

image_uuid

  Image UUID for reconfigure.

This command is provided by the python-cyborgclient plugin.

## accelerator deployable show

Show deployable details.

    openstack accelerator deployable show <uuid>

uuid

  UUID of the deployable.

This command is provided by the python-cyborgclient plugin.

## accelerator device attribute create

Register a new attribute with the accelerator service

    openstack accelerator device attribute create
        <deployable_id>
        <key>
        <value>

deployable_id

  Deployable_id for the attribute.

key
  Key for the attribute.

    e.g. ‘[{“resources:<type>”:1, “trait:CUSTOM_<type>_<product_id>”: “required”, “trait:CUSTOM_<type>_<vendor>”: “required”}]’

value

  Value for the attribute.

This command is provided by the python-cyborgclient plugin.

## accelerator device attribute delete

Delete attribute(s).

    openstack accelerator device attribute delete <uuid> [<uuid> ...]

uuid

  UUID(s) of the attribute(s) to delete.

This command is provided by the python-cyborgclient plugin.

## accelerator device attribute list

List all attributes

    openstack accelerator device attribute list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--long]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

This command is provided by the python-cyborgclient plugin.

## accelerator device attribute show

Show attribute details.

    openstack accelerator device attribute show <attribute>

attribute

  UUID of the attribute.

This command is provided by the python-cyborgclient plugin.

## accelerator device disable

Disable device .

    openstack accelerator device disable <uuid>

uuid

  UUID of the device.

This command is provided by the python-cyborgclient plugin.

## accelerator device enable

Enable device .

    openstack accelerator device enable <uuid>

uuid

  UUID of the device.

This command is provided by the python-cyborgclient plugin.

## accelerator device list

List all devices

    openstack accelerator device list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--long]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

This command is provided by the python-cyborgclient plugin.

## accelerator device profile create

Register a new device_profile with the accelerator service

    openstack accelerator device profile create
        [--description <description>]
        <name>
        <groups>

--description <description>

  Description for the device_profile(optional).

name

  Unique name for the device_profile.

groups
  groups for the device_profile.

    e.g. ‘[{“resources:<type>”:1, “trait:CUSTOM_<type>_<product_id>”: “required”, “trait:CUSTOM_<type>_<vendor>”: “required”}]’

This command is provided by the python-cyborgclient plugin.

## accelerator device profile delete

Delete deviceProfile(s).

    openstack accelerator device profile delete <uuid> [<uuid> ...]

uuid

  UUID(s) of the device_profile(s) to delete.

This command is provided by the python-cyborgclient plugin.

## accelerator device profile list

List all device profiles

    openstack accelerator device profile list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--long]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

This command is provided by the python-cyborgclient plugin.

## accelerator device profile show

Show device_profile details.

    openstack accelerator device profile show <device_profile>

device_profile

  Name or UUID of the device_profile. The name field requires at least `--os-accelerator-api-version 2.2`.

This command is provided by the python-cyborgclient plugin.

## accelerator device show

Show device details.

    openstack accelerator device show <uuid>

uuid

  UUID of the device.

This command is provided by the python-cyborgclient plugin.

this page last updated: 2026-07-15 15:33:41

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.